#
# spec file for package perl-HTML-Parser (Version 3.25)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-HTML-Tagset
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-HTML-Tagset ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-HTML-Parser
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Provides:     perl_htp
Obsoletes:    perl_htp
Summary:      Perl HTML Interface
Version:      3.25
Release:      31
Source:       HTML-Parser-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
This is a collection of modules that parse and extract information
from HTML documents.

Authors:
--------
    libwww@perl.org

SuSE series: perl

%prep
%setup -n HTML-Parser-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-HTML-Parser
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/HTML/Parser
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README MANIFEST Changes TODO
%{perl_sitearch}/HTML
%{perl_sitearch}/auto/HTML/Parser
/var/adm/perl-modules/perl-HTML-Parser

%clean
rm -r $RPM_BUILD_ROOT

%changelog -n perl-HTML-Parser
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 3.25
* Mon Mar 26 2001 - cihlar@suse.cz
- added perl-HTML-Tagset to neededforbuild
- added make test
* Wed Mar 14 2001 - cihlar@suse.cz
- update to version 3.19
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_htp -> perl-HTML-Parser
- update to version 3.13
* Tue Aug 22 2000 - cihlar@suse.cz
- update to version 3.10
- bzipped sources
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Thu Apr 13 2000 - ug@suse.de
- added to distribution
